/* ************************************************************************* *
   JAC - (C) Copyright 1998 Robert Gasch (Robert_Gasch@peoplesoft.com)
	     http://www.peoplesoft.com/peoplepages/g/robert_gasch/index.htm

   Permission to use, copy, modify and distribute this software for any 
   purpose and without fee is hereby granted, provided that this copyright
   notice appear in all copies as well as supporting documentation. All
   work developed as a consequence of the use of this program should duly
   acknowledge such use.

   No representations are made about the suitability of this software for
   any purpose. This software is provided "as is" without express or implied 
   warranty.

   See the GNU General Public Licence for more information.
 * ************************************************************************* */


import java.lang.*;


/* ************************************************************************** */
/* ************* JAC_Bailout: provide a standard bailout format ************* */
/* ************************************************************************** */
public class JAC_Bailout
{
	/** bailout: print message and return -1 */
	public static void bailout (String message)
		{
		bailout (message, -1);
		}

	/** bailout: print message and specify return value */
	public static void bailout (String message, int rc)
		{
		System.err.println (message);
		System.exit (rc);
		}
}
