/* ************************************************************************* *
   JAC - (C) Copyright 1998 Robert Gasch (Robert_Gasch@peoplesoft.com)
	     http://www.peoplesoft.com/peoplepages/g/robert_gasch/index.htm

   Permission to use, copy, modify and distribute this software for any 
   purpose and without fee is hereby granted, provided that this copyright
   notice appear in all copies as well as supporting documentation. All
   work developed as a consequence of the use of this program should duly
   acknowledge such use.

   No representations are made about the suitability of this software for
   any purpose. This software is provided "as is" without express or implied 
   warranty.

   See the GNU General Public Licence for more information.
 * ************************************************************************* */


import java.lang.*;
import java.io.*;


/* ************************************************************************** */
/* ** JAC_GlobalVerbose: Provides a static (global) verbose flag mechanism ** /
/* ************************************************************************** */
public class JAC_GlobalVerbose
{
	private static boolean d_verbose=false;

	/** Constructor: Initialize verbose accordingly */
	public static void verbose (boolean verbose)
		{
		d_verbose=verbose;
		}

	/** verbose: return current verbose setting */
	public static boolean verbose ()
		{
		return (d_verbose);
		}
}

